Missing Required Cryptographic Step in CaSS



Published: 2022-05-23
Risk Medium
Patch available YES
Number of vulnerabilities 1
CVE-ID CVE-2022-29229
CWE-ID CWE-325
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
CaSS
Web applications / Modules and components for CMS

Vendor CaSS Project

Security Bulletin

This security bulletin contains one medium risk vulnerability.

1) Missing Required Cryptographic Step

EUVDB-ID: #VU63518

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2022-29229

CWE-ID: CWE-325 - Missing Required Cryptographic Step

Exploit availability: No

Description

The vulnerability allows a remote attacker to gain access to potentially sensitive information.

The vulnerability exists due to missing cryptographic Step in cassproject. A remote user can obtain an account's cryptographic keys.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

CaSS: 1.5.0 - 1.5.6


CPE2.3 External links

http://github.com/cassproject/CASS/releases/tag/1.5.8
http://github.com/cassproject/CASS/security/advisories/GHSA-7qcx-4p32-qcmx

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###